Subject: [bug#34470] [PATCH 4/8] gnu: gdm: Use absolute path for gnome-session.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 04 Mar 2019 11:38:29 +0100

Hi Timothy,

Timothy Sample <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hi!
>>
>> Timothy Sample <[email-masked]> skribis:
>>
>>> * gnu/packages/gnome.scm (gdm)[arguments]: Modify the pre-configure
>>> phase to substitute in the absolute path of gnome-session.
>>> [inputs]: Add gnome-session.
>>
>> This patch means that we’re pulling in GNOME even when we don’t actually
>> need it:
>>
>> $ guix size gdm |tail -1
>> total: 909.4 MiB
>> $ guix size gdm gnome-session |tail -1
>> total: 1011.8 MiB
>>
>> Do you think we could avoid that?
>
> My understanding is that the login screen is more or less a normal user
> session brought up by gnome-session for the “gdm” user.  Shy of
> re-implementing the parts of gnome-session we need, I don’t have any
> ideas on how to avoid this dependency.  I know that GDM sends it a list
> of components to initialize (e.g., GNOME Shell), but I don’t know what
> else it does for GDM.

GDM does seem to work without that dependency though (on current
master); or is there missing functionality?

If we must have it though, let’s have it, and we can then see how to
trim that closure.

Thanks,
Ludo’.